Update Beam Config Handler
curl --request PUT \
--url https://api.allium.so/api/v1/beam/{config_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_org_team_user_id": "<string>",
"pipeline_config": {
"source": {
"type": "pubsub",
"is_zerolag": false
},
"transforms": [
{
"script": "<string>",
"uid": "<string>",
"type": "v8"
}
],
"sinks": [
{
"name": "<string>",
"uid": "<string>",
"type": "kafka"
}
]
},
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"static_egress_ip": false,
"pod_size": "S"
}
'import requests
url = "https://api.allium.so/api/v1/beam/{config_id}"
payload = {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_org_team_user_id": "<string>",
"pipeline_config": {
"source": {
"type": "pubsub",
"is_zerolag": False
},
"transforms": [
{
"script": "<string>",
"uid": "<string>",
"type": "v8"
}
],
"sinks": [
{
"name": "<string>",
"uid": "<string>",
"type": "kafka"
}
]
},
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": ["<string>"],
"static_egress_ip": False,
"pod_size": "S"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
description: '<string>',
owner_org_team_user_id: '<string>',
pipeline_config: {
source: {type: 'pubsub', is_zerolag: false},
transforms: [{script: '<string>', uid: '<string>', type: 'v8'}],
sinks: [{name: '<string>', uid: '<string>', type: 'kafka'}]
},
organization_id: '<string>',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
tags: ['<string>'],
static_egress_ip: false,
pod_size: 'S'
})
};
fetch('https://api.allium.so/api/v1/beam/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_org_team_user_id": "<string>",
"pipeline_config": {
"source": {
"type": "pubsub",
"is_zerolag": false
},
"transforms": [
{
"script": "<string>",
"uid": "<string>",
"type": "v8"
}
],
"sinks": [
{
"name": "<string>",
"uid": "<string>",
"type": "kafka"
}
]
},
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"static_egress_ip": false,
"pod_size": "S"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Configs
Update config
Updates an existing pipeline configuration.
PUT
/
api
/
v1
/
beam
/
{config_id}
Update Beam Config Handler
Updates an existing pipeline configuration. After updating, deploy again to apply changes.
Path parameters:
Request body:
Response:
Required permission:
edit — owners and editors.| Parameter | Description |
|---|---|
config_id | Pipeline configuration ID |
UpdateBeamConfigRequest
curl -X PUT https://api.allium.so/api/v1/beam/${CONFIG_ID} \
-H "X-API-Key: ${ALLIUM_API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"name": "USDC Transfer Monitor (updated)",
"description": "Updated description",
"tags": ["production", "base"],
"pipeline_config": {
"source": {
"type": "pubsub",
"chain": "base",
"entity": "erc20_token_transfer",
"is_zerolag": false
},
"transforms": [
{
"type": "redis_set_filter",
"uid": "tf-001",
"filter_expr": "root = this.token_address"
}
],
"sinks": [
{
"type": "kafka",
"uid": "sk-001",
"name": "usdc-transfers"
}
]
}
}'
BeamConfig
Remember to redeploy after updating to apply changes. Redeployment is idempotent with zero downtime.
Authorizations
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Available options:
S, M, L, XL Response
Successful Response
Show child attributes
Show child attributes
Available options:
S, M, L, XL Was this page helpful?
⌘I